Package org.eclipse.ui.internal

# Class PluginActionCoolBarContributionItem

java.lang.Object
org.eclipse.jface.action.ContributionItem
org.eclipse.jface.action.ActionContributionItem
org.eclipse.ui.internal.PluginActionContributionItem
org.eclipse.ui.internal.PluginActionCoolBarContributionItem

All Implemented Interfaces:
  `IContributionItem`, `IActivityManagerListener`, `IIdentifierListener`, `IActionSetContributionItem`

public class PluginActionCoolBarContributionItem extends PluginActionContributionItem implements IActionSetContributionItem
Contribution item for actions provided by plugins via workbench action extension points.

## Field Summary

### Fields inherited from class org.eclipse.jface.action.ActionContributionItem

`MODE_FORCE_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`PluginActionCoolBarContributionItem(PluginAction action)`
Creates a new contribution item from the given action.

## Method Summary

Modifier and Type
Method
Description
`String`
`getActionSetId()`
Returns the action set id.
`protected void`
`invalidateParent()`
Mark the parent dirty if we have a parent.
`void`
`setActionSetId(String id)`
Sets the action set id.

### Methods inherited from class org.eclipse.ui.internal.PluginActionContributionItem

`activityManagerChanged, dispose, getSelection, identifierChanged, isVisible, setParent`

### Methods inherited from class org.eclipse.jface.action.ActionContributionItem

`equals, fill, fill, fill, getAction, getMode, getUseColorIconsInToolbars, getWidget, hashCode, isDynamic, isEnabled, isEnabledAllowed, setMode, setUseColorIconsInToolbars, shortenText, update, update`

### Methods inherited from class org.eclipse.jface.action.ContributionItem

`fill, getId, getParent, isDirty, isGroupMarker, isSeparator, saveWidgetState, setId, setVisible, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PluginActionCoolBarContributionItem

public PluginActionCoolBarContributionItem(PluginAction action)
Creates a new contribution item from the given action. The id of the action is used as the id of the item.

Parameters:
  `action` - the action

## Method Details

### getActionSetId

public String getActionSetId()
Description copied from interface: `IActionSetContributionItem`
Returns the action set id.

Specified by:
  `getActionSetId` in interface `IActionSetContributionItem`

### setActionSetId

public void setActionSetId(String id)
Description copied from interface: `IActionSetContributionItem`
Sets the action set id.

Specified by:
  `setActionSetId` in interface `IActionSetContributionItem`

### invalidateParent

protected void invalidateParent()
Description copied from class: `PluginActionContributionItem`
Mark the parent dirty if we have a parent.

Overrides:
  `invalidateParent` in class `PluginActionContributionItem`